<template>
  <transition
    name="fade"
    mode="out-in"
    enter-from-class="opacity-0"
    leave-to-class="opacity-0"
    enter-active-class="motion-safe:transition-opacity motion-safe:duration-[250ms]"
    leave-active-class="motion-safe:transition-opacity motion-safe:duration-[250ms]"
  >
    <slot />
  </transition>
</template>

<script lang="ts">
import { defineComponent } from 'vue'

export default defineComponent({
  name: 'UiTransitionFade',
})
</script>
